This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 202134 - add sudo and hostObject schemas by default
add sudo and hostObject schemas by default
Status: CLOSED CURRENTRELEASE
Product: Red Hat Directory Server
Classification: Red Hat
Component: Directory Server (Show other bugs)
7.2
All Linux
urgent Severity medium
: DS8.1
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
:
Depends On:
Blocks: 152373 249650 FDS1.2.0
  Show dependency treegraph
 
Reported: 2006-08-10 18:09 EDT by Subhendu Ghosh
Modified: 2015-01-04 18:20 EST (History)
2 users (show)

See Also:
Fixed In Version: 8.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-29 18:59:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Subhendu Ghosh 2006-08-10 18:09:13 EDT
Add schemas and support for sudoer's ldap backend.

http://www.courtesan.com/sudo/readme_ldap.html

Having this included by default helps.

Also add the nss_ldap "hostobject" schema by default instead of having to use
the the ol-migrate.pl script.
Comment 1 Chandrasekar Kannan 2007-07-25 15:15:12 EDT
DS7.2 is not a valid milestone anymore. Anything thats set to DS7.2 should be
set to DS8.0. Will make further changes per bug council on 07/24/2007, after this.
Comment 6 Rich Megginson 2009-01-14 13:49:05 EST
Checking in Makefile.am;
/cvs/dirsec/ldapserver/Makefile.am,v  <--  Makefile.am
new revision: 1.79; previous revision: 1.78
done
Checking in aclocal.m4;
/cvs/dirsec/ldapserver/aclocal.m4,v  <--  aclocal.m4
new revision: 1.79; previous revision: 1.78
done
Checking in configure;
/cvs/dirsec/ldapserver/configure,v  <--  configure
new revision: 1.99; previous revision: 1.98
done
Checking in missing;
/cvs/dirsec/ldapserver/missing,v  <--  missing
new revision: 1.60; previous revision: 1.59
done
Checking in install-sh;
/cvs/dirsec/ldapserver/install-sh,v  <--  install-sh
new revision: 1.60; previous revision: 1.59
done
Checking in depcomp;
/cvs/dirsec/ldapserver/depcomp,v  <--  depcomp
new revision: 1.60; previous revision: 1.59
done
Checking in compile;
/cvs/dirsec/ldapserver/compile,v  <--  compile
new revision: 1.53; previous revision: 1.52
done
Checking in Makefile.in;
/cvs/dirsec/ldapserver/Makefile.in,v  <--  Makefile.in
new revision: 1.103; previous revision: 1.102
done
Checking in config.sub;
/cvs/dirsec/ldapserver/config.sub,v  <--  config.sub
new revision: 1.59; previous revision: 1.58
done
Checking in config.guess;
/cvs/dirsec/ldapserver/config.guess,v  <--  config.guess
new revision: 1.59; previous revision: 1.58
done
RCS file: /cvs/dirsec/ldapserver/ldap/schema/60nss-ldap.ldif,v
done
Checking in ldap/schema/60nss-ldap.ldif;
/cvs/dirsec/ldapserver/ldap/schema/60nss-ldap.ldif,v  <--  60nss-ldap.ldif
initial revision: 1.1
done
Comment 7 Jenny Galipeau 2009-03-11 10:04:13 EDT
fix verified DS 8.1 on RHEL4

Schema now includes:

Obectclass sudorole with the following attributes:

Required:
cn
objectClass

Allowed (all multi-valued):
description
sudoCommand
sudoHost
sudoOption
sudoRunAs
sudoUser
Comment 8 Chandrasekar Kannan 2009-04-29 18:59:03 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0455.html

Note You need to log in before you can comment on or make changes to this bug.